package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;


public class ActOperation1 extends BaseEntity {

    /** id */
    private Long id;

    /** 历史数据id */
    private Long hId;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createBy;

    /** 日期 */
    @Excel(name = "日期")
    private String hDate;

    /** 所属矿区 */
    @Excel(name = "所属矿区")
    private String mining;

    /** 规则id */
    private Integer roleId;

    /** 清洗规则 */
    private String historyRole;

    private String convenRole;

    private String exportUuid;

    public String getHistoryRole() {
        return historyRole;
    }

    public void setHistoryRole(String historyContent) {
        this.historyRole = historyContent;
    }

    /** excel内容 */
    private ActOperation2[][] actOperation2;

    public ActOperation2[][] getActOperation2() {
        return actOperation2;
    }

    public void setActOperation2(ActOperation2[][] actOperation2) {
        this.actOperation2 = actOperation2;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long gethId() {
        return hId;
    }

    public void sethId(Long hId) {
        this.hId = hId;
    }

    @Override
    public String getCreateBy() {
        return createBy;
    }

    @Override
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String gethDate() {
        return hDate;
    }

    public void sethDate(String hDate) {
        this.hDate = hDate;
    }

    public String getMining() {
        return mining;
    }

    public void setMining(String mining) {
        this.mining = mining;
    }

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public String getExportUuid() {
        return exportUuid;
    }

    public void setExportUuid(String exportUuid) {
        this.exportUuid = exportUuid;
    }

    public String getConvenRole() {
        return convenRole;
    }

    public void setConvenRole(String convenRole) {
        this.convenRole = convenRole;
    }
}
